/* Main */
body {
	background-color: #F6F8F9;
	color: #1E2029;
}

header{
	background: #fff;
	box-shadow: 0 4px 2px -2px #e1e3e4;
}


footer {
	background-color: #fff;	
	bottom: 0;
	box-shadow: 0px -4px 2px #e1e3e4;
	left: 0;
	position: fixed;
	width: 100%;
	z-index: 1030;	
}

/* Elements */
h1{
	margin-bottom: 1rem;
}

a{
	text-decoration: underline;
}

.no-margin{
	margin: 0;
}

.bold{
	font-weight: 700;
}

.purple{
	color: #6B2FAD;
}

.btn {
	background-color: #6B2FAD;
	color: #fff;
	display: inline-block;
	font-weight: bold;
	padding: 0.75rem 3rem;
	width: auto;
}

.btn:hover,
.btn:focus,
.btn:active {
	background-color: #472075 !important;
	color: #fff !important;
}

.btn:disabled {
  opacity: 0.5;
  pointer-events: none;
  cursor: not-allowed;
}

.btn img{
	margin-right: 6px;
}

/* Form */
.form-section {
	border: 1px solid #ccc;
	border-radius: 4px;
	padding: 2rem;
	margin: 2rem auto 6rem auto;
	max-width: 800px;
	background-color: #fff;
}

.form-section h1 {
	font-size: 2rem;
	font-weight: 700;
}

.form-section h2{
	font-size: 1.25rem;
	font-weight: 700;
}

.form-section .logo{
	border-top: 1px solid #ccc;
	border-bottom: 1px solid #ccc;
	padding: 1rem 0rem;
}

.download .form-section .logo{
	border-bottom: none;
	padding-bottom: 0;
}

.form-section .form-check label{
	font-weight: normal;
}

.form-section .text-end{
	border-top: 1px solid #ccc;
	margin-top: 1.5rem;
	padding-top: 1.5rem;
}

.download .form-section .text-end{
	border: none;
	margin-top: 0.5rem;
	padding-top: 0rem;
	text-align: left !important;
}

.note{
	color: #646F79;
	font-size: 0.75rem;
	margin-top: 0.75rem;
}

.logo-note{
	color: #646F79;	
	font-size: 1rem;
	margin-top: 1rem;
	text-align: center;
}

/* Logo wrapper */
.logo-wrapper{
	display: flex;
	justify-content: center;
	gap: 16px;
}
	
.logo-placeholder{
	align-items: center;
	aspect-ratio: 1 / 1;
	border: 1px solid #ccc;
	border-radius: 4px;
	display: flex;
	flex: 1;
	justify-content: center;
}

.logo-placeholder img{
	max-width: 80%;
	max-height: 80%;
	object-fit: contain;
}

.logo-placeholder {
  cursor: pointer;
  transition: transform 0.2s ease;
}

.logo-placeholder:hover {
  transform: scale(1.01);
  border-color: #472075;
}

/* Notifications */
.important-message {
	border-radius: 4px;
	padding: 1rem;
}

/* Order */
.order{
	font-size: 1.25rem;
	text-align: right;
}

.order p{
	margin-bottom: 0;
}

.order .old-price{
	color: #646F79;
	display: inline-block;
	padding-right: 6px;
	text-decoration: line-through;
}
	
	
.order .small-text{
	color: #646F79;
	font-size: 0.75rem;
	font-style: italic;
}

.order .label-free{
	background: #94EEC0;
	border-radius: 3px;
	color: #1E2029;
	display: inline-block;
	font-size: 0.75rem;
	font-weight: 500;
	padding: 0.25rem 0.5rem;
}

.footer{
	z-index: 1;
}

/* Modal */
.modal {
	background-color: rgba(0,0,0,0.8);
	cursor: pointer;
	display: none;
	height: 100%;
	left: 0;
	position: fixed;
	top: 0;
	width: 100%;
	z-index: 1000;
}

.modal-content {
	background-color: #fff;
	border-radius: 10px;
	cursor: default;
	margin: auto;
	max-width:480px;
	padding: 48px;
	position: relative;
	top: 50%;
	transform: translateY(-50%);
	text-align: center;
	width: 80%;
}

.modal-content img {
	max-width: 100%;
	max-height: 70vh;
	object-fit: contain;
}

.close {
	color: #aaa;
	cursor: pointer;
	font-size: 28px;
	font-weight: bold;
	position: absolute;
	top: 10px;
	right: 20px;
	z-index: 1001;
}

.close:hover,
.close:focus {
	color: #000;
	text-decoration: none;
}

/* Responsive */
@media (max-width: 800px) {
	.btn{
		width: 100%;
	}
	
	.modal-content {
		width: 95%;
		padding: 15px;
	}
}